-- Show inconsistent analysis problems.
-- See http://tinyurl.com/3rpjk94
-- Instructions:
--  1) execute this script except lock query
--  2) execute part 1 of script 2
--  3) execute script 3
--  4) execute the lock query below
--  5) execute script 4
--  6) execute part 2 of script 2
--  7) Check output of script 3, and re-run it

USE master;
GO
CREATE DATABASE foo;
go
USE foo;
GO

CREATE TABLE t1 (c1 INT, c2 VARCHAR (100)); 
GO 
CREATE CLUSTERED INDEX t1s1 ON t1 (c1) 
GO

INSERT INTO t1 VALUES (1, 'Anderson'); 
INSERT INTO t1 VALUES (2, 'Randal'); 
INSERT INTO t1 VALUES (3, 'Tripp'); 
GO

-- Examine locks
SELECT * FROM sys.dm_tran_locks
WHERE [resource_type] != 'DATABASE';
GO
